Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class JSFInvocation

    java.lang.Object
      org.jboss.portal.faces.component.portlet.JSFInvocation

    public class JSFInvocation

extends java.lang.Object

Version:
  $Revision: 10744 $
Author:
  Julien Viet

Constructor Summary
`JSFInvocation(javax.faces.context.FacesContext faces, UIPortlet uiportlet)`

Method Summary
`PortletInvocationResponse` | `action(Portlet portlet, Mode mode, WindowState windowState, StateString interactionState)`
`PortletInvocationResponse` | `render(Portlet portlet, Mode mode, WindowState windowState, PortletParameters navState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSFInvocation

    public JSFInvocation(javax.faces.context.FacesContext faces,
                         UIPortlet uiportlet)

Method Detail

### action

    public PortletInvocationResponse action(Portlet portlet,
                                            Mode mode,
                                            WindowState windowState,
                                            StateString interactionState)
                                     throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### render

    public PortletInvocationResponse render(Portlet portlet,
                                            Mode mode,
                                            WindowState windowState,
                                            PortletParameters navState)
                                     throws PortletInvokerException

  Throws:
    `PortletInvokerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD